/**
 * @file
 * Behaviors for the component_wrapper widget in node add form.
 */

(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.componentWrapperRender = {
    attach: function (context) {
      const $sidebar_grid = $(once('sidebarGridFull', '.sidebar-grid.grid-full', context));
      if ($sidebar_grid.length > 0) {
        $sidebar_grid.addClass('component-wrapper-sidebar-grid');
      }
    }
  }

})(jQuery, Drupal);
